Get market price history for chart with advanced features
GET
/markets/{profileId}/price/history
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.ethos.network/api/v2/markets/1/price/history?timeWindow=1H&customBucket=30%20seconds"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.ethos.network/api/v2/markets/1/price/history?timeWindow=1H&customBucket=30%20seconds"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.ethos.network/api/v2/markets/1/price/history?timeWindow=1H&customBucket=30%20seconds") .get() .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.ethos.network/api/v2/markets/1/price/history', params: {timeWindow: '1H', customBucket: '30 seconds'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ethos.network/api/v2/markets/1/price/history?timeWindow=1H&customBucket=30%20seconds';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ethos.network/api/v2/markets/1/price/history";
let querystring = [ ("timeWindow", "1H"), ("customBucket", "30 seconds"), ];
let client = reqwest::Client::new(); let response = client.get(url) .query(&querystring) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url 'https://api.ethos.network/api/v2/markets/1/price/history?timeWindow=1H&customBucket=30%20seconds'wget --quiet \ --method GET \ --output-document \ - 'https://api.ethos.network/api/v2/markets/1/price/history?timeWindow=1H&customBucket=30%20seconds'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”profileId
required
integer
Query Parameters
Section titled “Query Parameters”timeWindow
string
customBucket
string
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
data
required
Array<object>
object
timeBucket
required
string
price
required
object
trustWei
required
integer format: int64
distrustWei
required
integer format: int64
trustUsd
required
number
distrustUsd
required
number
totalWei
required
integer format: int64
totalUsd
required
number
marketCap
required
object
trustWei
required
integer format: int64
distrustWei
required
integer format: int64
trustUsd
required
number
distrustUsd
required
number
totalWei
required
integer format: int64
totalUsd
required
number
timeWindow
required
string
bucket
required
string
Example
{ "timeWindow": "1H", "bucket": "30 seconds"}Invalid input data
Media typeapplication/json
Invalid input data error (400)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "BAD_REQUEST", "message": "Invalid input data", "issues": []}Not found
Media typeapplication/json
Not found error (404)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "NOT_FOUND", "message": "Not found", "issues": []}Internal server error
Media typeapplication/json
Internal server error error (500)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "INTERNAL_SERVER_ERROR", "message": "Internal server error", "issues": []}